Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
ObjHeaderIException Class Reference

`#include <c++/src/H5Exception.h>`

Inheritance diagram for ObjHeaderIException:

## Public Member Functions
| ObjHeaderIException ()
| Default constructor.
| ObjHeaderIException (const std::string &func_name, const std::string &message=DEFAULT_MSG)
| Creates an ObjHeaderIException with the name of the function, in which the failure occurs, and an optional detailed message.
virtual | ~ObjHeaderIException () override=default
Public Member Functions inherited from Exception
| Exception ()
| Default constructor.
| Exception (const Exception &orig)
| Copy constructor: same HDF5 object as original.
| Exception (const std::string &func_name, const std::string &message=DEFAULT_MSG)
| Creates an exception with the name of the function, in which the failure occurs, and an optional detailed message.
const char * | getCDetailMsg () const
| Returns the detailed message set at the time the exception is thrown.
const char * | getCFuncName () const
| Returns the name of the function, where the exception is thrown.
std::string | getDetailMsg () const
| Returns the detailed message set at the time the exception is thrown.
std::string | getFuncName () const
| Returns the name of the function, where the exception is thrown.
std::string | getMajorString (hid_t err_major_id) const
| Returns a text string that describes the error specified by a major error number.
std::string | getMinorString (hid_t err_minor_id) const
| Returns a text string that describes the error specified by a minor error number.
virtual | ~Exception ()=default

## Additional Inherited Members
Static Public Member Functions inherited from Exception
static void | clearErrorStack ()
| Clears the error stack for the current thread.
static void | dontPrint ()
| Turns off the automatic error printing from the C library.
static void | getAutoPrint (H5E_auto2_t &func, void **client_data)
| Retrieves the current settings for the automatic error stack traversal function and its data.
static void | printErrorStack (FILE *stream=stderr, hid_t err_stack=H5E_DEFAULT)
| Prints the error stack in a default manner.
static void | setAutoPrint (H5E_auto2_t &func, void *client_data)
| Turns on the automatic error printing.
static void | walkErrorStack (H5E_direction_t direction, H5E_walk2_t func, void *client_data)
| Walks the error stack for the current thread, calling the specified function.
Static Protected Attributes inherited from Exception
static const char | DEFAULT_MSG [] = "No detailed information provided"

## Constructor & Destructor Documentation

## ◆ ObjHeaderIException() [1/2]

ObjHeaderIException | ( | const std::string & | func,
|  | const std::string & | message = DEFAULT_MSG )

Creates an ObjHeaderIException with the name of the function, in which the failure occurs, and an optional detailed message.

Parameters

  func | - IN: Name of the function where failure occurs
  message | - IN: Message on the failure

## ◆ ObjHeaderIException() [2/2]

ObjHeaderIException | ( |  | ) |

Default constructor.

## ◆ ~ObjHeaderIException()

virtual ~ObjHeaderIException | ( |  | ) |
| override virtual default

The documentation for this class was generated from the following files:

- c++/src/H5Exception.h
- c++/src/H5Exception.cpp